<script setup lang="ts">
import { useReceiptStore } from '@/stores/receipt'

const receiptstore = useReceiptStore()
</script>
<template>
  <v-container>
    <v-text v-if="receiptstore.receipt?.cash >= receiptstore.receipt?.total">
      <v-row no-gutters>
        <v-col cols="6">เงินที่ได้รับ</v-col><v-col cols="6">{{ receiptstore.receipt?.cash }}</v-col>
      </v-row>
    </v-text>
    <v-text v-else>
      <v-row no-gutters>
        <v-col cols="6">เงินที่ได้รับ</v-col><v-col cols="6" style="color: red;">ยอดเงินไม่เพียงพอ</v-col>
      </v-row>
    </v-text>
    <v-row no-gutters>
      <v-col cols="6">ยอดก่อนหัก</v-col><v-col cols="6">{{ receiptstore.receipt?.totalBefore }}</v-col>
      <v-col cols="6">ส่วนลดสมาชิก</v-col><v-col cols="6">{{ receiptstore.receipt?.memberDiscount }} %</v-col>
      <v-col cols="6">ยอดรวม</v-col><v-col cols="6">{{ receiptstore.receipt?.total }}</v-col>
    </v-row>
  </v-container>
</template>